hoauth2-2.14.3: Haskell OAuth2 authentication client

Safe Haskell | None
Language | Haskell2010

Network.OAuth2.Experiment.Pkce

# Documentation

mkPkceParam :: MonadIO m => m PkceRequestParam Source #

newtype CodeChallenge Source #

Constructors

CodeChallenge |

Fields

- unCodeChallenge :: Text

#### Instances

Instances details

ToQueryParam CodeChallenge Source # |
Instance details Defined in Network.OAuth2.Experiment.Types Methods toQueryParam :: CodeChallenge -> Map Text Text Source #

newtype CodeVerifier Source #

Constructors

CodeVerifier |

Fields

- unCodeVerifier :: Text

#### Instances

Instances details

ToQueryParam CodeVerifier Source # |
Instance details Defined in Network.OAuth2.Experiment.Types Methods toQueryParam :: CodeVerifier -> Map Text Text Source #

data CodeChallengeMethod Source #

Constructors

S256 |

#### Instances

Instances details

Show CodeChallengeMethod Source # |
Instance details Defined in Network.OAuth2.Experiment.Pkce Methods showsPrec :: Int -> CodeChallengeMethod -> ShowS Source # show :: CodeChallengeMethod -> String Source # showList :: [CodeChallengeMethod] -> ShowS Source #
ToQueryParam CodeChallengeMethod Source # |
Instance details Defined in Network.OAuth2.Experiment.Types Methods toQueryParam :: CodeChallengeMethod -> Map Text Text Source #

data PkceRequestParam Source #

Constructors

PkceRequestParam |

Fields

- codeVerifier :: CodeVerifier
- codeChallenge :: CodeChallenge
- codeChallengeMethod :: CodeChallengeMethod

  spec says optional but in practice it is S256 https://datatracker.ietf.org/doc/html/rfc7636#section-4.3